################################################################################
# Multibeam Device Type Definitions
#
# See README.md in this directory

######################################
MultibeamEM:
  category: "device_type"
  description: "Generic Simrad Multibeam"

  format:
    KBDPT: '${:.2}DPT,{Depth:f},{WaterlineDist:f},{MaxRange:f}*{Checksum:x}'
    KIDPT: '${:.2}DPT,{Depth:g},{WaterlineDist:g},{MaxRange:g}*{Checksum:x}'

  fields:
    Depth:
      units: "Meters"
      description: "Depth at transducer"
    WaterlineDist:
      units: "Meters"
      description: "Distance to waterline from transducer"
    MaxRange:
      units: "Meters"
      description: "Maximum range in use"
